Method: googleapis.bigquery.v2.tabledata.list

List the content of a table in rows. # IAM Permissions Requires the bigquery.tables.getData permission on the table.

Arguments

Parameters
datasetId

string

Required. Dataset id of the table to list.

projectId

string

Required. Project id of the table to list.

tableId

string

Required. Table id of the table to list.

formatOptions.timestampOutputFormat

enum

Optional. The API output format for a timestamp. This offers more explicit control over the timestamp output format as compared to the existing use_int64_timestamp option.

Enum type. Can be one of the following:
TIMESTAMP_OUTPUT_FORMAT_UNSPECIFIED Corresponds to default API output behavior, which is FLOAT64.
FLOAT64 Timestamp is output as float64 seconds since Unix epoch.
INT64 Timestamp is output as int64 microseconds since Unix epoch.
ISO8601_STRING Timestamp is output as ISO 8601 String ("YYYY-MM-DDTHH:MM:SS.FFFFFFFFFFFFZ").
formatOptions.useInt64Timestamp

boolean

Optional. Output timestamp as usec int64. Default is false.

maxResults

integer (uint32 format)

Row limit of the table.

pageToken

string

To retrieve the next page of table data, set this field to the string provided in the pageToken field of the response body from your previous call to tabledata.list.

selectedFields

string

Subset of fields to return, supports select into sub fields. Example: selected_fields = "a,e.d.f";

startIndex

string (uint64 format)

Start row index of the table.

Raised exceptions

Exceptions
ConnectionError In case of a network problem (such as DNS failure or refused connection).
HttpError If the response status is >= 400 (excluding 429 and 503).
TimeoutError If a long-running operation takes longer to finish than the specified timeout limit.
TypeError If an operation or function receives an argument of the wrong type.
ValueError If an operation or function receives an argument of the right type but an inappropriate value. For example, a negative timeout.

Response

If successful, the response contains an instance of TableDataList.

Subworkflow snippet

Some fields might be optional or required. To identify required fields, refer to the API documentation.

YAML

- list:
    call: googleapis.bigquery.v2.tabledata.list
    args:
        datasetId: ...
        projectId: ...
        tableId: ...
        formatOptions:
            timestampOutputFormat: ...
            useInt64Timestamp: ...
        maxResults: ...
        pageToken: ...
        selectedFields: ...
        startIndex: ...
    result: listResult

JSON

[
  {
    "list": {
      "call": "googleapis.bigquery.v2.tabledata.list",
      "args": {
        "datasetId": "...",
        "projectId": "...",
        "tableId": "...",
        "formatOptions": {
          "timestampOutputFormat": "...",
          "useInt64Timestamp": "..."
        },
        "maxResults": "...",
        "pageToken": "...",
        "selectedFields": "...",
        "startIndex": "..."
      },
      "result": "listResult"
    }
  }
]